堡塔新春特惠活动,企业版1099元/年,永久授权最高立减28000元查看活动
当前位置:论坛首页 > 第三方应用 > Linux面板插件

redis数据管理工具

发表在 第三方应用2018-12-24 17:46   [复制链接] 64 90017

本帖最后由 liaoqiang 于 2018-12-29 09:20 编辑

应用名称:redis数据管理工具-三方插件
价格:免费
作者:liaoqiang
功能介绍:
redis数据管理;实现数据查看、添加、删除、修改
支持版本:6.8.4及以上
安装方法:宝塔SSH输入下面指令


请先保证服务器安装了redis。如果没有安装redis,请先打开->软件管理->运行换进->找到redis安装(一般在第二页),安装完后才使用本工具管理数据。

打开宝塔SSH执行下面的代码安装:
  1. wget  -O redisutil.sh http://bt.dayuanren.net/redisutil/install.sh && bash redisutil.sh install
复制代码
特别注意:安装完插件以后请重启面板。因为python redis模块安装后不重启不生效。

安装方法:使用方法

找到 软件->三方插件->redis管理工具->设置->配置redis链接


插件

插件

配置

配置


正常使用版本1.1及以上。如果您的插件还是1.0版本,请复制上方安装命令重新安装。


感恩参与开发,共同学习 1000宝塔币已经进入你账户 请查收  发表于 2019-1-10 17:05
使用道具 举报 只看该作者 回复
发表于 2022-4-13 18:23:03 | 显示全部楼层
开发者暂时没时间维护,要求下架了,后续官方可能会退出一款类似的插件
使用道具 举报 回复 支持 反对
发表于 2020-9-10 10:37:43 | 显示全部楼层
我的set方式的redis数据格式 可以看 但是  hset的格式的一点击就报这个错 作者  帮忙看下啥问题

抱歉,出错了:<br> Traceback (most recent call last):<br>  File "class/flask_sockets.py", line 30, in __call__<br>    handler, values = adapter.match()<br>  File "/www/server/panel/pyenv/lib/python3.7/site-packages/werkzeug/routing.py", line 1945, in match<br>    raise NotFound()<br>werkzeug.exceptions.NotFound: 404 Not Found: The requested URL was not found on the server. If you entered the URL manually please check your spelling and try again.<br><br>During handling of the above exception, another exception occurred:<br><br>Traceback (most recent call last):<br>  File "class/panelPlugin.py", line 1898, in a<br>    return eval(execStr)<br>  File "<string>", line 1, in <module><br>  File "plugin/redisutil/redisutil_main.py", line 211, in get_value<br>    "value": json.dumps(value),<br>  File "/www/server/panel/pyenv/lib/python3.7/json/__init__.py", line 231, in dumps<br>    return _default_encoder.encode(obj)<br>  File "/www/server/panel/pyenv/lib/python3.7/json/encoder.py", line 199, in encode<br>    chunks = self.iterencode(o, _one_shot=True)<br>  File "/www/server/panel/pyenv/lib/python3.7/json/encoder.py", line 257, in iterencode<br>    return _iterencode(o, 0)<br>TypeError: keys must be str, int, float, bool or None, not bytes<br>
使用道具 举报 回复 支持 1 反对 0
发表于 2020-3-23 11:11:58 | 显示全部楼层
我严重怀疑这个软件内置挖矿程序,或者说和挖矿的有利益关系。  我服务器从安装了这个应用后就被kdevtmpfsi盯上了。按照网上的灭毒方法也不行。只好重置了服务器,现在没安装这个应用,已经安全了
使用道具 举报 回复 支持 0 反对 1
发表于 2018-12-25 14:42:42 | 显示全部楼层

特别注意:安装完插件以后请重启面板。因为python redis模块安装后不重启不生效。
使用道具 举报 回复 支持 1 反对 0
发表于 2022-3-8 20:42:34 | 显示全部楼层
PHP7.4  无效
QQ图片20220308204152.png
使用道具 举报 回复 支持 反对
发表于 2021-11-11 16:52:35 | 显示全部楼层
疑似BUG吗,楼主大大?
https://www.bt.cn/bbs/thread-62265-1-1.html
使用道具 举报 回复 支持 反对
发表于 2021-10-22 15:17:24 | 显示全部楼层
宝塔7.7.0安装这个软件,总是报 【文件hash 校验失败,停止安装】,这是怎么回事呢
使用道具 举报 回复 支持 反对
发表于 2021-9-18 09:46:07 | 显示全部楼层
抱歉,出错了:<br> Traceback (most recent call last):<br>  File "class/flask_sockets.py", line 30, in __call__<br>    handler, values = adapter.match()<br>  File "/www/server/panel/pyenv/lib/python3.7/site-packages/werkzeug/routing.py", line 1945, in match<br>    raise NotFound()<br>werkzeug.exceptions.NotFound: 404 Not Found: The requested URL was not found on the server. If you entered the URL manually please check your spelling and try again.<br><br>During handling of the above exception, another exception occurred:<br><br>Traceback (most recent call last):<br>  File "class/panelPlugin.py", line 1965, in a<br>    return eval(execStr)<br>  File "<string>", line 1, in <module><br>  File "plugin/redisutil/redisutil_main.py", line 211, in get_value<br>    "value": json.dumps(value),<br>  File "/www/server/panel/pyenv/lib/python3.7/json/__init__.py", line 231, in dumps<br>    return _default_encoder.encode(obj)<br>  File "/www/server/panel/pyenv/lib/python3.7/json/encoder.py", line 199, in encode<br>    chunks = self.iterencode(o, _one_shot=True)<br>  File "/www/server/panel/pyenv/lib/python3.7/json/encoder.py", line 257, in iterencode<br>    return _iterencode(o, 0)<br>TypeError: keys must be str, int, float, bool or None, not bytes<br>              重启了也没用了
使用道具 举报 回复 支持 反对
发表于 2021-8-21 20:32:20 | 显示全部楼层
服务器一直提示这个,没办法安装
文件Hash校验失败,停止安装!
微信图片_20210821203007.png
使用道具 举报 回复 支持 反对
发表于 2021-7-29 10:58:46 | 显示全部楼层
多个服务器都是。。。文件Hash校验失败,停止安装!
使用道具 举报 回复 支持 反对
发表于 2021-6-25 11:28:08 | 显示全部楼层
客官这边请 发表于 2020-8-1 10:53
1. 编辑 /www/server/panel/plugin/redisutil 下的 redisutil_main.py 2. 第97行 db=db, 后添加 decode_r ...

非常稳~
使用道具 举报 回复 支持 反对
发表于 2021-6-16 16:31:09 | 显示全部楼层
文件Hash校验失败,停止安装!
使用道具 举报 回复 支持 反对
发表于 2021-6-7 16:01:53 | 显示全部楼层
python3.7的环境下,查看哈希值会报错。
ec26a25928508c18a8c40a76a5e1ad5.png
使用道具 举报 回复 支持 反对
发表于 2021-6-4 10:33:13 | 显示全部楼层
飞翔天鸟 发表于 2021-6-4 10:32
抱歉,出错了: Traceback (most recent call last):  File "class/flask_sockets.py", line 30, in __call ...

这个怎么解决?在线求助
使用道具 举报 回复 支持 反对
发表于 2021-6-4 10:32:30 | 显示全部楼层
抱歉,出错了:<br> Traceback (most recent call last):<br>  File "class/flask_sockets.py", line 30, in __call__<br>    handler, values = adapter.match()<br>  File "/www/server/panel/pyenv/lib/python3.7/site-packages/werkzeug/routing.py", line 1945, in match<br>    raise NotFound()<br>werkzeug.exceptions.NotFound: 404 Not Found: The requested URL was not found on the server. If you entered the URL manually please check your spelling and try again.<br><br>During handling of the above exception, another exception occurred:<br><br>Traceback (most recent call last):<br>  File "class/panelPlugin.py", line 1944, in a<br>    return eval(execStr)<br>  File "<string>", line 1, in <module><br>  File "plugin/redisutil/redisutil_main.py", line 138, in get_dbkeys<br>    keys.append(alllist[num].decode('utf-8'))<br>UnicodeDecodeError: 'utf-8' codec can't decode byte 0xac in position 0: invalid start byte<br>
使用道具 举报 回复 支持 反对
发表于 2021-5-28 10:07:27 | 显示全部楼层
提示 文件Hash校验失败,停止安装!
使用道具 举报 回复 支持 反对
收录之家丨 · 帮助网站收录丨百度蜘蛛池出租,权重蜘蛛池。支持测试。引蜘蛛企鹅8038277
使用道具 举报 回复 支持 反对
发表于 2021-3-11 15:38:46 | 显示全部楼层
redis读hash格式会出错
使用道具 举报 回复 支持 反对
12345下一页
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

企业版年付运维跟进群

普通问题处理

论坛响应时间:72小时

问题处理方式:排队(仅解答)

工作时间:白班:9:00 - 18:00

紧急问题处理

论坛响应时间:10分钟

问题处理方式:1对1处理(优先)

工作时间:白班:9:00 - 18:00

工作时间:晚班:18:00 - 24:00

立即付费处理
宝塔面板交流QQ群宝塔面板交流群-6群
快速回复 返回顶部 返回列表